import { CSSProperties } from 'react';
import PropTypes from 'prop-types';
type TableStylingValue = string | CSSProperties | ((settings: {
    narrow: boolean;
}) => string);
interface HyperResponsiveTableProps<TRecord> {
    headers: TRecord;
    rows: TRecord[];
    breakpoint: string | number;
    keyGetter: (row: TRecord) => string;
    tableStyling?: TableStylingValue;
    initialNarrow?: boolean;
    withClasses?: boolean;
}
declare const HyperResponsiveTable: {
    <TRecord>({ headers, rows, breakpoint, keyGetter, tableStyling, initialNarrow, withClasses, }: HyperResponsiveTableProps<TRecord>): JSX.Element;
    propTypes: {
        headers: PropTypes.Validator<{
            [x: string]: NonNullable<string | PropTypes.ReactElementLike>;
        }>;
        rows: PropTypes.Validator<{
            [x: string]: NonNullable<string | PropTypes.ReactElementLike>;
        }[]>;
        breakpoint: PropTypes.Validator<NonNullable<NonNullable<string | number>>>;
        keyGetter: PropTypes.Validator<(...args: any[]) => any>;
        tableStyling: PropTypes.Requireable<NonNullable<string | object>>;
        initialNarrow: PropTypes.Requireable<boolean>;
        withClasses: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        initialNarrow: boolean;
        withClasses: boolean;
        tableStyling: any;
    };
};
export default HyperResponsiveTable;
